version: '3.1'

services:
  tm-backend:
    image: registry.gitlab.com/pyshinskiyj/microservices/taskmanager/backend:latest
    ports:
      - 8080:8080
    depends_on:
      - mysql

  mysql:
    image: mysql:5.7
    expose:
      - "3306"
    environment:
      MYSQL_ROOT_PASSWORD: root
      MYSQL_USER: prod
      MYSQL_PASSWORD: production
      MYSQL_DATABASE: taskmanager